=== debian/changelog ===
linux (4.17.17-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    - Change ABI number to 0.bpo.3.

 -- Bastian Blank <bastian.blank@credativ.de>  Mon, 27 Aug 2018 10:20:11 +0200

linux (4.17.17-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.17.16
    - [x86] platform/UV: Mark memblock related init code and data correctly
    - [x86] mm/pti: Clear Global bit more aggressively
    - [x86] xen/pv: Call get_cpu_address_sizes to set x86_virt/phys_bits
    - [x86] mm: Disable ioremap free page handling on x86-PAE
    - kbuild: verify that $DEPMOD is installed
    - [x86] crypto: ccp - Check for NULL PSP pointer at module unload
    - [x86] crypto: ccp - Fix command completion detection race
    - crypto: vmac - require a block cipher with 128-bit block size
    - crypto: vmac - separate tfm and request context
    - crypto: blkcipher - fix crash flushing dcache in error path
    - crypto: ablkcipher - fix crash flushing dcache in error path
    - crypto: skcipher - fix aligning block size in skcipher_copy_iv()
    - crypto: skcipher - fix crash flushing dcache in error path
    - ioremap: Update pgtable free interfaces with addr
    - [x86] mm: Add TLB purge to free pmd/pte page interfaces
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.17.17
    - [x86] speculation/l1tf: Exempt zeroed PTEs from inversion

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 18 Aug 2018 14:02:58 +0200

linux (4.17.15-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.17.15
    - [hppa/parisc] Enable CONFIG_MLONGCALLS by default
    - [hppa/parisc] Define mb() and add memory barriers to assembler unlock
      sequences
    - Mark HI and TASKLET softirq synchronous
    - stop_machine: Disable preemption after queueing stopper threads
    - sched/deadline: Update rq_clock of later_rq when pushing a task
    - zram: remove BD_CAP_SYNCHRONOUS_IO with writeback feature
    - xen/netfront: don't cache skb_shinfo()
    - bpf, sockmap: fix leak in bpf_tcp_sendmsg wait for mem path
    - bpf, sockmap: fix bpf_tcp_sendmsg sock error handling
    - scsi: sr: Avoid that opening a CD-ROM hangs with runtime power
      management enabled
    - scsi: qla2xxx: Fix memory leak for allocating abort IOCB
    - init: rename and re-order boot_cpu_state_init()
    - root dentries need RCU-delayed freeing
    - make sure that __dentry_kill() always invalidates d_seq, unhashed or not
    - fix mntput/mntput race
    - fix __legitimize_mnt()/mntput() race
    - [armhf] dts: imx6sx: fix irq for pcie bridge
    - [x86] paravirt: Fix spectre-v2 mitigations for paravirt guests
    - [x86] speculation: Protect against userspace-userspace spectreRSB
    - [x86] kprobes/x86: Fix %p uses in error messages
    - [x86] irqflags: Provide a declaration for native_save_fl
    - [x86] speculation/l1tf: Increase 32bit PAE __PHYSICAL_PAGE_SHIFT
    - [x86] speculation/l1tf: Change order of offset/type in swap entry
    - [x86] speculation/l1tf: Protect swap entries against L1TF
    - [x86] speculation/l1tf: Protect PROT_NONE PTEs against speculation
    - [x86] speculation/l1tf: Make sure the first page is always reserved
    - [x86] speculation/l1tf: Add sysfs reporting for l1tf
    - [x86] speculation/l1tf: Disallow non privileged high MMIO PROT_NONE
      mappings
    - [x86] speculation/l1tf: Limit swap file size to MAX_PA/2
    - [x86] bugs: Move the l1tf function and define pr_fmt properly
    - sched/smt: Update sched_smt_present at runtime
    - [x86] smp: Provide topology_is_primary_thread()
    - [x86] topology: Provide topology_smt_supported()
    - cpu/hotplug: Make bringup/teardown of smp threads symmetric
    - cpu/hotplug: Split do_cpu_down()
    - cpu/hotplug: Provide knobs to control SMT
    - [x86] cpu: Remove the pointless CPU printout
    - [x86] cpu/AMD: Remove the pointless detect_ht() call
    - [x86] cpu/common: Provide detect_ht_early()
    - [x86] cpu/topology: Provide detect_extended_topology_early()
    - [x86] cpu/intel: Evaluate smp_num_siblings early
    - [x86] CPU/AMD: Do not check CPUID max ext level before parsing SMP info
    - [x86] cpu/AMD: Evaluate smp_num_siblings early
    - [x86] apic: Ignore secondary threads if nosmt=force
    - [x86] speculation/l1tf: Extend 64bit swap file size limit
    - [x86] cpufeatures: Add detection of L1D cache flush support.
    - [x86] CPU/AMD: Move TOPOEXT reenablement before reading smp_num_siblings
    - [x86] speculation/l1tf: Protect PAE swap entries against L1TF
    - [x86] speculation/l1tf: Fix up pte->pfn conversion for PAE
    - Revert "[x86] apic: Ignore secondary threads if nosmt=force"
    - cpu/hotplug: Boot HT siblings at least once
    - [x86] KVM: Warn user if KVM is loaded SMT and L1TF CPU bug being present
    - [x86] KVM/VMX: Add module argument for L1TF mitigation
    - [x86] KVM/VMX: Add L1D flush algorithm
    - [x86] KVM/VMX: Add L1D MSR based flush
    - [x86] KVM/VMX: Add L1D flush logic
    - [x86] KVM/VMX: Split the VMX MSR LOAD structures to have an host/guest
      numbers
    - [x86] KVM/VMX: Add find_msr() helper function
    - [x86] KVM/VMX: Separate the VMX AUTOLOAD guest/host number accounting
    - [x86] KVM/VMX: Extend add_atomic_switch_msr() to allow VMENTER only MSRs
    - [x86] KVM/VMX: Use MSR save list for IA32_FLUSH_CMD if required
    - cpu/hotplug: Online siblings when SMT control is turned on
    - [x86] litf: Introduce vmx status variable
    - [x86] kvm: Drop L1TF MSR list approach
    - [x86] l1tf: Handle EPT disabled state proper
    - [x86] kvm: Move l1tf setup function
    - [x86] kvm: Add static key for flush always
    - [x86] kvm: Serialize L1D flush parameter setter
    - [x86] kvm: Allow runtime control of L1D flush
    - cpu/hotplug: Expose SMT control init function
    - cpu/hotplug: Set CPU_SMT_NOT_SUPPORTED early

