=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.17.0-0.bpo.3-alpha-generic [alpha], linux-image-4.17.0-0.bpo.3-alpha-smp [alpha], linux-image-4.17.0-0.bpo.3-amd64 [amd64], linux-image-4.17.0-0.bpo.3-cloud-amd64 [amd64], linux-image-4.17.0-0.bpo.3-arm64 [arm64], linux-image-4.17.0-0.bpo.3-marvell [armel], linux-image-4.17.0-0.bpo.3-armmp [armhf], linux-image-4.17.0-0.bpo.3-armmp-lpae [armhf], linux-image-4.17.0-0.bpo.3-parisc [hppa], linux-image-4.17.0-0.bpo.3-parisc-smp [hppa], linux-image-4.17.0-0.bpo.3-parisc64-smp [hppa], linux-image-4.17.0-0.bpo.3-686 [i386], linux-image-4.17.0-0.bpo.3-686-pae [i386], linux-image-4.17.0-0.bpo.3-itanium [ia64], linux-image-4.17.0-0.bpo.3-mckinley [ia64], linux-image-4.17.0-0.bpo.3-m68k [m68k], linux-image-4.17.0-0.bpo.3-4kc-malta [mips mipsel], linux-image-4.17.0-0.bpo.3-5kc-malta [mips mips64 mips64el mipsel], linux-image-4.17.0-0.bpo.3-octeon [mips mips64 mips64el mipsel], linux-image-4.17.0-0.bpo.3-loongson-3 [mips64el mipsel], linux-image-4.17.0-0.bpo.3-mips64r6 [mips64r6 mipsr6], linux-image-4.17.0-0.bpo.3-mips64r6el [mips64r6el mipsr6el], linux-image-4.17.0-0.bpo.3-mips32r6 [mipsr6], linux-image-4.17.0-0.bpo.3-mips32r6el [mipsr6el], linux-image-4.17.0-0.bpo.3-powerpc [powerpc], linux-image-4.17.0-0.bpo.3-powerpc-smp [powerpc], linux-image-4.17.0-0.bpo.3-powerpc64 [powerpc ppc64], linux-image-4.17.0-0.bpo.3-powerpcspe [powerpcspe], linux-image-4.17.0-0.bpo.3-powerpc64le [ppc64el], linux-image-4.17.0-0.bpo.3-s390x [s390x], linux-image-4.17.0-0.bpo.3-sh7751r [sh4], linux-image-4.17.0-0.bpo.3-sh7785lcr [sh4], linux-image-4.17.0-0.bpo.3-sparc64 [sparc64], linux-image-4.17.0-0.bpo.3-sparc64-smp [sparc64]
Classes: smp
